Bug 175104 - MakeMaker::MM_Unix doesn't honor LD_RUN_PATH requirements
MakeMaker::MM_Unix doesn't honor LD_RUN_PATH requirements
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl (Show other bugs)
4.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
:
Depends On: 136009
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-12-06 12:46 EST by Nalin Dahyabhai
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005-880
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 09:31:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 4 Jason Vas Dias 2005-12-14 20:44:01 EST
This is now fixed with perl-5.8.5-22.RHEL4. By default, the MM generated 
LD_RUN_PATH is discarded, as it was before - but there is now a 
USE_MM_LD_RUN_PATH MM attribute that, if set, will cause the 
the MM generated LD_RUN_PATH setting to be used for the link,
as it is in the upstream release.
Comment 6 Red Hat Bugzilla 2005-12-20 09:31:58 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-880.html

Note You need to log in before you can comment on or make changes to this bug.